---
lang: en
title: 'API docs: boot.createbooterforcomponentapplication'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/boot
permalink: /doc/en/lb4/apidocs.boot.createbooterforcomponentapplication.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/boot](./boot.md) &gt; [createBooterForComponentApplication](./boot.createbooterforcomponentapplication.md)

## createBooterForComponentApplication() function

Create a booter that boots the component application. Bindings that exist in the component application before `boot` are skipped. Locked bindings in the main application will not be overridden.

**Signature:**

```typescript
export declare function createBooterForComponentApplication(componentApp: Application & Bootable, filter?: BindingFilter): Constructor<Booter>;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  componentApp | [Application](./core.application.md) &amp; [Bootable](./boot.bootable.md) | The application exposing a component |
|  filter | [BindingFilter](./context.bindingfilter.md) | _(Optional)_ Binding filter to selected bindings to be added |

**Returns:**

[Constructor](./context.constructor.md)<!-- -->&lt;[Booter](./boot.booter.md)<!-- -->&gt;


